Customers
Connect Zendesk for a customer
Zendesk needs three values rather than one key, so it has its own endpoint.
POST
/
customers
/
{id}
/
connections
/
zendesk
Connect Zendesk for a customer
curl --request POST \
--url https://api.vocobase.com/api/v2/customers/{id}/connections/zendesk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "support@northwind.example",
"api_token": "zd_...",
"subdomain": "northwind"
}
'import requests
url = "https://api.vocobase.com/api/v2/customers/{id}/connections/zendesk"
payload = {
"email": "support@northwind.example",
"api_token": "zd_...",
"subdomain": "northwind"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'support@northwind.example',
api_token: 'zd_...',
subdomain: 'northwind'
})
};
fetch('https://api.vocobase.com/api/v2/customers/{id}/connections/zendesk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"connection_id": "uc_c5d6e7f8-0912-2334-4556-6778899aabbc",
"tool_slug": "zendesk"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "agent_name is required and must be max 50 characters"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}{
"success": false,
"error": {
"code": "CUSTOMER_NOT_ACTIVE",
"message": "Customer is not active"
}
}{
"success": false,
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded. Retry after 60 seconds."
}
}{
"success": false,
"error": {
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred"
}
}Authorizations
API key in format: rg_live_xxxx. Pass as a Bearer token in the Authorization header.
Path Parameters
Customer ID.
Body
application/json
⌘I
Connect Zendesk for a customer
